Solved jar -j BuildTools.jar isnt working

Discussion in 'Spigot Help' started by Monkey_Master, May 29, 2017.

  1. I am trying to use buildtools and ive never used git before so this is a new program for me. I am following the guide here https://www.spigotmc.org/threads/how-to-guide-use-buildtools-jar.83226/ and when i try to enter the command `jar -j BuildTools.jar` as it says i get an error back saying `bash: jar: command not found`
    I found something about setting the JAVA_HOME which i think i have done from the way the guides were saying but i still cant seem to run BuildTools. Ive looks around online for an answer and cant find anything that will help me. I hope someone here can help

    Thanks
    Monkey_Master
     
  2. dont do that just download craftbukkit
     
  3. You need to use buildtools to get craftbukkit legally.
     
  4. Im trying to get the latest spigot version if that acounts for anything @BrettplayMC
     
  5. Gaxan

    Supporter

    • Useful Useful x 1
  6. yea your right the police will come knocking down ur door if they find out u downloaded craftbukkit
     
  7. Gaxan

    Supporter

    Why someone would use craftbukkit over spigot baffles me. Also you have no idea what you are downloading when someone else compiles and uploads the jar for you.
    It's not that complicated to do it yourself.
     
    • Agree Agree x 1
    • Useful Useful x 1
  8. electronicboy

    IRC Staff

    the command is java, not jar; if java itself isn't found, you don't have java installed, if you're on windows, sometimes it makes sense to install the JDK as that can sometimes fix issues where you have the JRE installed but it's not been setup properly

    it's general concept that if you can build the jar yourself without downloading it 1) illegally 2) knowing that you actually have the latest jar 3) from a site that can modify the jars in whatever way they want; It's generally much more preferable to anybody who cares about their systems to build it themselves, especially as the instructions are pretty thorough and wrote so that anybody with basic computer + reading skills can follow them.
     
    • Useful Useful x 1
  9. Issue is resolved now and i got it to run. I ended up running it via the .bat file that on the link that @Gaxan provided me. Ive a diferent issue now though. Ive run the server with the version that buildtools gave me and when i run /version on the server im running with the spigot.jar i just got from buildtools, it says its running 27 versions behind...

    Code (Text):
    28.05 18:16:29 [Server] INFO This server is running CraftBukkit version git-Spigot-3fb9445-6e3cec8 (MC: 1.11.2) (Implementing API version 1.11.2-R0.1-SNAPSHOT)

    28.05 18:16:29 [Server] INFO Checking version, please wait...
    28.05 18:16:30 [Server] INFO You are 27 version(s) behind
    Is this a normal thing to be done with Spigot? are the higher 27 versions dev builds and not full releases or something like that. Anyone know?
    Thanks
     
  10. electronicboy

    IRC Staff

    as per the homepage, 1.11.2 will show that it's outdated due to 1.12 currently being developed
     
    • Useful Useful x 1
  11. Ahhh ok i did read that after i asked that question and was wondering if that was what it was referring too. I forgot to update this asking if that's what it meant. Thanks for the help given @electronicboy , @BrettplayMC and @Gaxan
     
    • Friendly Friendly x 1